<!--- The directory where the files will be stored. This directory must be present. --->
<cfset base_directory=getDirectoryFromPath(getCurrentTemplatePath()) & "/uploaded-files">	

<!--- Directory where the files are temporary stored. This directory must be present. --->
<cfset temp_directory=GetTempDirectory()>

<cfloop index="LoopCount" from="1" to="100000">
	<cfif IsDefined("Form.file_#LoopCount#")>
		
		<!--- Store the file in the temp directory --->
		<cffile action="upload" fileField="file_#LoopCount#" destination="#temp_directory#" nameConflict="overwrite">

		<!--- Retrieve the urldecoded uploaded name, e.g. "images/img001.jpg" --->
		<cfset clientfile=URLDecode(#cffile.clientFile#)>
		
		<!--- Determine the absolute path --->
		<cfif IsDefined("Form.directory")>
			<cfset path=#base_directory# & "/" & #Form.directory# & "/" & #clientfile#>
		<cfelse>
			<cfset path=#base_directory# & "/" & #clientfile#>
		</cfif>

		<cfset dir=GetDirectoryFromPath(#path#)>

		<!--- Create if necessary the directory where the file will be stored. --->
		<cfif not DirectoryExists(#dir#)>
			<cfdirectory action="create" directory="#dir#">
		</cfif>

		<cfset serverPath=#cffile.serverDirectory# & "/" & #cffile.clientFile#>

		<!--- move the file to the final destination --->
		<cffile action="move" source="#serverPath#" destination="#path#">

	<cfelse>
		<cfabort>
	</cfif>
</cfloop>
